# TaskFinishEvent

interface TaskFinishEvent : TaskProgressEvent, FinishEvent

An event that informs about a task having finished its execution. You can query the result of the task using getResult.

#### Since

2.5

## Functions

getDescriptor
Link copied to clipboard
abstract fun getDescriptor(): OperationDescriptor
abstract fun getDescriptor(): TaskOperationDescriptor
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getEventTime
Link copied to clipboard
abstract fun getEventTime(): Long
getResult
Link copied to clipboard
abstract fun getResult(): TaskOperationResult
Returns the result of the finished task operation.